// ---------------------------------------------------------------------------
// Edit this file to define your game. It should have at least four
// sets of content: undum.game.situations, undum.game.start,
// undum.game.qualities, and undum.game.init.
// ---------------------------------------------------------------------------

/* A unique id for your game. This is never displayed. I use a UUID,
 * but you can use anything that is guaranteed unique (a URL you own,
 * or a variation on your email address, for example). */
undum.game.id = "erythrocyte.q.matterhorn";

/* A string indicating what version of the game this is. Versions are
 * used to control saved-games. If you change the content of a game,
 * the saved games are unlikely to work. Changing this version number
 * prevents Undum from trying to load the saved-game and crashing. */
undum.game.version = "1.0";

/* The situations that the game can be in. Each has a unique ID. */
undum.game.situations = {
    start: new undum.Situation({
  enter: function(character, system, from) {
  system.setCharacterText("<p>You are starting on an arousing journey.</p>");
  system.write("<h1>Superfluous Warning</h1>\
        <p>Do not play this <s>CYOA</s> choice-based narrative\
        in the usual way, imagining that you are a mop-haired,\
        somewhat androgynous tween in the early 80s.\
        Even if doing so is legal in your area.</p>\
        <p>The incredible erotic adventures you will shortly undergo are, in some trivial sense,\
        the result of your choices. <i>You</i> are monumentally irresponsible\
        because <i>you</i> choose. Most often, because you choose to hit\
        UNDO. (You see that button in the upper left? Regard it as your closest companion.\
        Not one of the platonic ones, either.) So at least pretend to be deep in thought before\
        you click anything. It may lead to your ruin, or... okay, let's be\
        honest, ruin's the main contender here.</p>\
        <p>In your travels you may hear of the mystical Harem Ending Cave.\
        In idle moments, you may fantasise about whether your aimless staggering will ever take you there.\
        Sadly, many never find it, because you cannot get to the Harem Ending by making\
        choices or following instructions!</p>\
        <p class='transient'> Sufficiently inspired? <a href='rooms'>Full sail for adventure!</a></p>");
  }
  }),
   	 
   rooms: new undum.SimpleSituation(
   "<h1>The SS Turgidity</h1>\
   <p>Frankly, your recent voyages have been a stream of utter bullshit.\
   A Starfleet management review eliminated the post of Miniskirt Officer\
   from all <em>Penetrator</em>-class ships. Phobos was distinctly less\
   rewarding than suggested, and you'll be having stern words with your\
   Precognitive Officer about the whole business with Titan; breaking\
   mimesis may be forgiven, but not when it kills your boner.</p>\
   \
   <p>To top things off, you dozed off at the helm. The <i>SS Turgidity</i>'s\
    autopilot turns out to be programmed to seek out the deepest hole in a given\
   body, so you are now stuck somewhere near the centre of a Swiss-cheese planet.\
  Your attempts to remedy the situation through manual control have left your\
  spaceship battered, crumpled and upside-down.</p>\
  \
  <p class='transient'>You could <a href='fleeship'>disembark and try to escape\
  through the tunnels on foot</a>, <a href='engineroom'>head down\
  to the engine-room</a> to supervise repairs,\
  or <a href='./nohope' class='once'>give up hope.</a><br>\
  <font size='-1'>(You see that, Montgomery? Straight-up <i>three</i>\
   choices on the first page, none of your back-and-forth cocktease shit.\
   <i>That</i> is how a pro gets down.)</font></p>",
   {
               actions: {
                   "nohope": "<p>You resolutely give up hope.\
                   Somehow, no authorial device punishes you for your lack of\
                   sticktoitiveness, and you are left in precisely the same total shambles\
                   as before.</p>"
               }
        }
         ),
         
engineroom: new undum.SimpleSituation(
"<h1>Engine Room</h1>\
<p>Lieutenant Bundt, your Alchemy Officer, is frantically trying to \
repair the impulse engines. An incredible variety of mystic whatsits \
are scattered across his workbench, and a despairing expression clouds his face.</p>\
\
<p>&ldquo;We're <em>so</em> dead, Captain. The Pneumatic Cockatrice has broken \
the Seal of Temurah, and I think some phlogiston went up my nose. I've collected \
all the components and recalled all the formulae I can, but the abulafia's broken \
and I can't reliably interpret the logosbooks without it. \
And I think I'm missing a Vital Principle.&rdquo;</p>\
\
<p>You suppress a weary sigh. This would never have happened if \
you'd stuck with a rational, scientific technology like dilithium crystals.</p>\
\
<p class='transient'><ul class='options'>\
<li>Make your excuses and <a href='fleeship'>quietly abandon ship.</a></li>\
<li><a href='semenalchemy'>&ldquo;It's probably semen, you know. Usually is.&rdquo; </a></li>\
  <li><a href='./abulafia' class='once'>&ldquo;The abulawhatnow?&rdquo;</a></li>\
</ul></p>",
	{
               actions: {
                   "abulafia": "<p>&ldquo;The abuwhatnow?&rdquo;</p><p>&ldquo;The abulafia. Yes.\
                   Critical equipment. You present it with an alchemy problem, it uses that as\
                   a seed to procedurally generate several million anagrams of Torah body text,\
                   and then you pick a recipe from those. But it seems to have lost\
                   all its vowels.&rdquo;</p>"
               }
        }
),

semenalchemy: new undum.SimpleSituation(
"<p>&ldquo;It's probably semen, you know. Usually is.&rdquo;</p>\
&ldquo;Of <em>course</em> I've tried semen! I've tried <em>everything</em>! \
I think we're in a ley-line dead zone, Captain.&rdquo;</p>\
<p>&ldquo;Mmm, but your chowder's probably not of the purest, what with all \
those mercury fumes, and those aether bottles that keep going astray, plus you \
<em>still</em> drink out of a Nalgene, man. <em>My</em> body, on the other hand, \
is a temple.&rdquo; You don't specify which kind.</p>\
<p>&ldquo;I really think, sir... it's probably just the dead zone.&rdquo; \
But there's a sparkle in his eyes.</p>\
<p class='transient'><a href='kundalini'>Press the issue.</a></p>",
{
 exit: function(character, system, to) {
                system.setQuality("score", character.qualities.score+1);
            }
}
),

kundalini: new undum.SimpleSituation(
"<p>&ldquo;Indeed. Dead zone. Desperate times, desparate measures. \
You may have to awaken the serpent of Kundalini.&rdquo;</p>\
<p>Rimjobs are half the reason that anybody goes through alchemical school, \
and Bundt proves to be thoroughly capable, tonguing you briskly while leaving \
one hand free for the reach-around. The spectacular effect is a little spoiled \
when he gets off his knees and stuffs his chubby up you (is that the scent of tarragon oil?) \
but he's professional enough to keep tugging, at least. Just before you do your duty, \
he shoves your dick into what is presumably the appropriate glassware. The globby chemical \
soup that results is triumphantly conveyed to the primary power crucible.</p>\
<p class='transient'><a href='explodey'>Well, that wasn't so difficult.</a></p>"
),

explodey: new undum.SimpleSituation(
"<p>Three minutes later, the <em>Turgidity</em> is lost with all hands. \
Luckily, you'd stepped outside to take a post-coital whizz. Alone, \
shipwrecked, and unable to shake the feeling that you may be partially responsible, \
you comfort yourself with the thought that the survivor's guilt will \
doubtless be every bit as agonising as the fate that consumed your entire crew. \
Well, that's settled. Off to the caves!</p>\
<p class='transient'><a href='node1'>Continue into... THE CAVITY OF TIME.</a></p>"
),
           
fleeship: new undum.SimpleSituation(
    "<p>You're pretty sure that you recall something from officer training\
         about the Captain being... well, it was either first or last to abandon\
         ship, and leadership situations of this kind require a steady hand and a decisive instinct for judgment calls.\
         Accordingly, you scarper out of the nearest airlock, then dive down a tunnel before\
        	anyone sees you.</p>\
                <p class='transient'><a href='node1'>Continue into... THE CAVITY OF TIME.</a></p>"
  ),
  
  node1: new undum.Situation({
  enter: function(character, system, from) {
  system.write("<h1>Plumbing the Deeps</h1>\
   <p>The tunnels twist and bifurcate like the\
    wedding-tackle of a nine-dimensional Shgresh brood-king. Your officer training\
    included an intensive course on orienteering under stress,\
    so in short order you are hopelessly lost.</p>\
    <p>Okay. Try again. Let's break this up into\
  small, easy tasks. Big strategic decision coming up. One of the classics. The tunnel forks here. Left or right?</p>\
  <p class='transient'><ul class='options'>\
              <li><a href='leftpass'>Left.</a></li>\
              <li><a href='rightpass'>Right.</a></li>\
          </ul></p>");
           character.qualities.mansplained=1;
           character.qualities.depantsed=0;
           system.setCharacterText("<p>You are beginning to feel some doubts about the value of this adventure.</p>");
   }
}),

leftpass: new undum.SimpleSituation(
  "<p>You wander down the left-hand passage. After walking for a few minutes, you notice some figures\
  approaching out of the darkness. They're... kind of poorly conceived, rather as if someone drew an arbitrary shape and then threw in\
  arms, legs and a face to justify calling it a monster, rather than a malformed dumpling. This is an excellent sign that you'll never encounter\
  their species again, and can dispense with subtle diplomacy; still, they look hostile, and they're approaching fast.</p>\
  <p class='transient'>You could go with the time-honoured options of <a href='fightbeings'>fight</a> or <a href='fleebeings'>flight</a>.\
  Or you could employ your modern advantages, and <a href='tricorder'>use your tricorder to analyse the creatures\
  for sexual compatability.</a></p>"
  ),
  
 tricorder: new undum.SimpleSituation(
 "<p>In one practised motion, you unholster your tricorder and wave it at the creatures.\
 Ah, the age we live in! Not so long ago, the only known method to test for sexual compatability\
 was to stick your penis in. Advanced modern thought has replaced the serviceable but risky Penis Test\
 with an array of scientific and sociological metrics; thankfully, Kirk\
 had someone condense this into a two-button app, and you managed to snaffle a spare copy.</p>\
 \
 <p>Aww, 12%? You promised yourself you'd never go below twenty again unless it was a real emergency, but anything below fifteen is virtually guaranteed to cause lasting genital injury unless there's a manual to consult.<p>\
 Down towards the bottom of the detailed analysis, though, there's a note that they're sentient, speak English and are not normally aggressive. Armed with this knowledge, you strike up a conversation. They explain that you have entered the Cavity of Time, a poorly-organised gateway that allows highly unreliable travel across time and space. To demonstrate the point, they drag you off to an Traveller bar. The tricorder does considerably better here; most of the patrons are human, in fact. But the drinks are a lot stronger than you realise, and after an hour or so your short-term memory decides to cut you off. The last thing you remember is attempting to seduce the 1966 Australian Federation Cup team through the power of solo barbershop. <a href='pinklacuna'>You're moderately sure that didn't work.</a></p>"
 ),
 
  fightbeings: new undum.SimpleSituation(
   "<p>Seizing the initiative, you wade in two-fisted. You are a lover, not a fighter;\
   but you have a number of advantages over your enemies, such as functioning knees and elbows.\
   Within a few moments, they are all fleeing, unconscious or weeping convulsively in a foetal position.\
   So, much like the aftermath to a really bad orgy, minus the fun part.</p>\
   <p>A short way beyond them you discover a wooden door; beyond that is a narrow, creaking passageway.\
   It gets narrower and creakier and smellier, until you <a href='valseuses'>step out into daylight.</a></p>"
  ),
  
  fleebeings: new undum.SimpleSituation(
  "<p>Discretion is the better part of valour, insofar as it's the part you actually have. \
  You turn tail and leg it, pursued by scornful whoopings. Any hopes you had of mapping are \
  cast to the four winds as you race through one junction after another. At length, you happen \
  upon what looks very much like a brick staircase, and <a href='france'>follow it upwards.</a></p>"
  ),
  
   rightpass: new undum.SimpleSituation(
  "<p>Making a right, you march smartly for a few hundred feet before the tunnel ends at\
  a pair of doors: one red, one blue. The burden of responsibility upon your shoulders\
  grows heavier, but you feel you are man enough to rise to the challenge.</p>\
  <p class='transient'><ul class='options'>\
              <li><a href='reddoor'>Try the red door.</a></li>\
              <li><a href='bluedoor'>No, the blue door! The bluuuue door!</a></li>\
          </ul></p>"
),

reddoor: new undum.SimpleSituation(
"<p>Cautiously opening the red door, you peer into a red room. In a four-poster bed, among red velvet sheets, \
reclines a stunningly beautiful woman. Flame-gold hair cascades over her bare shoulders, \
curves heave enticingly, you know the drill. \
&ldquo;Who dares to enter my chambers?&rdquo; she purrs.</p>\
\
<p>&ldquo;Why are your chambers in a cul-de-sac deep within a worm-eaten exoplanet, exactly? \
Anyone would think that you didn't want company.&rdquo;</p>\
\
<p>&ldquo;Ah, you're new. This is the Cavity of Time, a region of Chaos into which holes have \
been unwisely drilled. Connected to everywhere. None may fathom its every orifice, though it's still fun to have a go. \
A setting seemingly made for...&rdquo;, she darts her tongue across her front teeth, &ldquo;...random encounters.&rdquo;</p>\
<p class='transient'><ul class='options'>\
              <li>Does she think you were born yesterday? <a href='backout'>Slip back out.</a></li>\
              <li>It's a trap. But <a href='seduce'>try and seduce her anyway.</a></li>\
              <li>Faint heart ne'er won phat booty. <a href='bedleap'>Throw yourself onto the bed.</a></li>\
          </ul></p>"
),

backout: new undum.SimpleSituation(
"<p>You beat a brisk retreat, sneering somewhat that anyone thought you'd fall \
for that old chestnut (and resolving to avoid any seemingly unguarded treasures or \
bargains with mischievious spirits for the near future).</p>\
You sprint back down the passageway, blast through several junctions more or less at random, \
half-crawl up a staircase, blast through a series of doors...</p>\
<p class='transient'><a href='france'>And out into the light.</a></p>"
),

bedleap: new undum.SimpleSituation(
"<p>Enh, you'll take your chances. You make a headfirst dive for the bed, and \
are promptly and predictably immolated by a jet of white-hot fire from her \
eyes. You are so thoroughly killed that a moral would be superfluous.</p>\
<p><h1>Deaded</h1></p>"
),

seduce: new undum.SimpleSituation(
"<p> &ldquo;So, how do you pass the time here?&rdquo; you blether, wedging one boot \
firmly between door and jamb.</p>\
<p>&ldquo;A little cross-stitch, a few dread invocations. I brought some racy grimoires, \
but I've read them all a dozen times now. I take a lot of naps.&rdquo; She glances down. \
&ldquo;What about you? Is it the Orb of Chaos or the Three-Fang&eacute;d Shield you're after? Or \
the Dreadsword K&auml;drang&uuml;l, that's been very popular lately.&rdquo;</p>\
<p>&ldquo;Oh, uh, no. Right now I'm mostly in it for the sex. Speaking of which, \
I don't really care if you're a succubus or a lamia or whatever. I'm pretty open-minded.&rdquo;</p>\
<p>&ldquo;You're so sweet,&rdquo; she beams. &ldquo;All right then, come on.&rdquo;</p>\
<p class='transient'><a href='enchantress'>Well, don't wait for her to ask twice.</a></p>",
{
 exit: function(character, system, to) {
                system.setQuality("score", character.qualities.score+1);
            }
}
),

enchantress: new undum.SimpleSituation(
"<p>The sex, as it transpires, is of the awkward and giggly kind; a pleasant time is had \
by all, but it takes rather a long time and, despite having attempted nothing \
very vigorous, you find yourself thoroughly exhausted. You snuggle up and fall into a deep sleep.</p>\
<p class='transient'><a href='pinklacuna'>Everything begins to fade...</a></p>"
),

bluedoor: new undum.SimpleSituation(
"<p>The blue door sticks a bit, swollen in the frame, but a good solid shove gets it open. \
The tunnel beyond is dark and narrow, and as you travel along it you begin to smell salt \
in the air. Soon you have to hunch over, and it feels as if the whole tunnel is shifting and creaking \
around you. At last your outstretched hands find a door, and you step out into the blinding sunlight...</p>\
<p class='transient'><a href='valseuses'>Where might this lead?</a></p>"
),

france: new undum.SimpleSituation(
"<h1>Chinon, Duchy of Touraine</h1>\
<p>You have emerged (through a plaster-lined vault painted with a dance of satyrs around Silenus on his ass) \
into a cobbled street, its stone buildings dwarfed by a chateau \
atop a precipitously steep hill. Chinon! first city of the world. \
Scruffy, nasal plebs and self-satisfied goats mill about on every side, but your \
keen eye instantly picks out the key players: a gawky teenager in laughable \
gender-disguise arguing with someone important-looking, and an implausibly enormous \
man, seated outside a wine-shop and presiding over a rowdy gaggle of sycophants.</p>\
<p class='transient'><ul class='options'>\
<li><a href='joan'>Look closer at the girl.</a></li>\
<li><a href='giant'>Scope out the giant.</a></li>\
<li><a href='./cheeses' class='once'>Seek out the local cheeses.</a></li></ul></p>",
{
actions: {
cheeses: function(character, system, action) {
	system.write("<p>The local cheese appears to be the Sainte-Maure, a soft, creamy goat's cheese\
	with a rind of thick grey mould. To a less dedicated adventurer, this discovery might have heralded\
	the quest's abandonment. But you are made of sterner stuff, and dedicate only a few hours to scarfing\
	it down before getting right back to whatever it was you were trying to accomplish here.</p>");
	}
}
}
),

joan: new undum.Situation({
enter: function(character, system, from) {
system.say("You sidle up towards the girl. Though bony and in drag, she doesn't seem to be concealing her gender, or trying to. She's debating something with a man thrice her age and a half-dozen rungs higher up the social ladder, and doing most of the talking; at intervals he retreats from a stabbing finger. She's not wearing armour yet, but from those beatify-me eyes this is clearly Jane Day.");
system.write("<p><font size='-1'>Or Jhenne, or Johanne. The C in any case was silent.</font></p>");
system.say("[list]\
* Fake an impromptu miracle. [fakemiracle]\
* Plenty of sassy kids back home, but giants are another matter. Investigate the giant instead.[giant]\
* Goose her. [goosejoan]");
}
}),

goosejoan: new undum.Situation({
enter: function(character, system, from) {
system.say("Strolling casually past, you grab her rear in a classic three-point Makane Underhand. Moments later, you are felled by the right cross that won the All-Lorraine Juniors belt three years running. This is followed by an impeccably-delivered speech that has you conveyed, too quickly to object, to the stocks.[br]The stocks themselves are not so bad; you've had worse in your own basement. Also, there are no tomatoes yet, so you're merely pelted with horseshit and cobbles. A few days later, though, the political situation shifts rather profoundly, and your punishment is upgraded to a beheading as a Plantagenet agitator.");
system.write("<p><font size='-1'>(You're pretty sure you have a Plantagenet agitator or two back in that basement, but apparently this is \
a different kind.) </font></p>");
system.say("[heading]You have died");
}
}),

fakemiracle: new undum.Situation({
enter: function(character, system, from) {
system.say("The standard for miraculous appearings around here is evidently not too high; you do a shadow butterfly and she's promptly taken by the spirit. The onlookers are visibly impressed, the noble oaf promises an audience with the Dauphin, everyone's happy.[br]She runs an eye over the dispersing spectators, an assembly largely comprising hunchbacks, lepers, chevauchee-singed peasant grandmothers, and the addled third sons of the most incompetent aristocracy in Christendom. But maybe she has tunnel vision or something, because she homes in upon, and slumps acccomodatingly against, you.[br]&ldquo;Ouf! Toujours apres the 'appenings I am ver' relaxed. Buy a girl un verre du pinard, hey?&rdquo;");
if (character.qualities.mansplained > 1) {
		system.say("[list]\
* Let one thing lead to another. [joansmooch]\
* No! Wrong! You're not giving the casserole to anyone canonised before JPII set up the five-miracles-or-less aisle! [giant]\
		* Employ your Pantagruelian wisdom. [joanbang]");
		} else {
		system.say("[list]\
		* Let one thing lead to another. [joansmooch]\
		* No! Argh! Wrong! You're not giving the casserole to anyone canonised before JPII set up the five-miracles-or-less aisle! [intraneander]");
		}
}
}),

intraneander: new undum.Situation({
enter: function(character, system, from) {
system.say("Eh, not your bag. You disentangle as politely as possible, march back to the cellar door, and head back into the Cavity. Oh well.[br]Beyond the Silenus fresco, the tunnels shade into rock, first chiseled, then water-cut; at last the slope turns back upwards, there's a short scramble up a narrow crevice, and you _come out into a different world._ [neanderthal]");
}
}),

joansmooch: new undum.Situation({
enter: function(character, system, from) {
system.say("Your ability to buy wine is rather restricted by the money thing, but the giant's retinue are tossing back the stuff like monkeys in a plum-tree, and entire cases are being overlooked. You snaffle a few bottles of the local red and sit down by the river. Here it becomes rapidly clear that, while she's sort of weird and you don't really understand everything that's going on, things are not going to progress beyond kisses and some mild secondary-characteristic groping. You make the best of it, say goodnight after a few hours of middle-schoolery, and _find a nice ditch to sleep in._ [joantoprison]");
}
}),

joanbang: new undum.Situation({
enter: function(character, system, from) {
 system.setQuality("score", character.qualities.score+1);
system.say("Your ability to buy wine is rather restricted by the money thing, but the giant's retinue are tossing back the stuff like monkeys in a plum-tree, and entire cases are being overlooked. You snaffle a few bottles of the local red and sit down by the river.[br]Thinking back to the Symposium on Wenches and their Nature, you consider how the deep feminist insights you gained might best be used to get inside a girl's pants. As far as this century goes, it seems that if you merely act like a third-tier douchebag you'll be leagues ahead of the competition. And hey, it works![br]Technical chastity is maintained, but apparently a thousand years of Catholicism have developed sexual rules-lawyering into a High Art. She's more energetic than accomplished, and a little more intense than you're entirely comfortable with. You end up with a very chafed thigh, neck cramp and slurred speech, many accidental tooth-marks about the groin and a bump on the head from when you rolled over that tree-trunk. In theory you're thoroughly sated, but mostly you're just worn out; you collapse into the nearest ditch and snore, face-down, _in a bed of mud and wildflowers._ [joantoprison]");
}
}),

joantoprison: new undum.Situation({
enter: function(character, system, from) {
system.say("The next morning, you weigh your options. Given that any given chunk of the surrounding country is liable to be burninated at any time, you decide, upon waking up, that the safest option should be to stick near the one person you're pretty sure is going to be surrounded by a victorious army. La Pucelle seems to approve the plan, so long as you keep a respectable distance; in fact, someone rustles you up a destrier and a great big sword, and for a few weeks you prance around impressing peasant-girls and stable-boys and enjoying yourself immensely. In the first real skirmish outside Orleans, of course, you are dumped unceremoniously onto the ground and dragged off for ransom. When the English retreat, they're still labouring under the impression that you're someone important, but this opinion gets revised rather abruptly as soon as anybody has the chance to draw breath; your airy tower-prison is _replaced by a reeking dungeon._ [chokey]");
}
}),

giant:  new undum.Situation({
enter: function(character, system, from) {
if (character.qualities.depantsed < 1) {
system.say("The giant gestures a grand welcome as you approach, and a chair is extended to you. &ldquo;Welcome, friend. Sit! Drink! You're not from these parts, I can see; so tell us your tale, smartly now.&rdquo;[br]&ldquo;I'll gladly tell you my story&rdquo; you hazard, &ldquo;for I've had adventures more marvellous than Ulysses.&rdquo;[br] You fill them in, sort of. It takes some time, but your glass is refilled throughout with a promptness bordering on zealotry.[br]At length you're done, and the giant replies. &ldquo;I commend you to my retainers. Good drinkers all... an end to thirst! top the fellow off, now. Who's dry? The truth of it is, my friend, that we are merely wetting our whistles here before we set out on a sacred quest, vouchsafed to us by the god Fill-time; that is, to seek the Golden Banana (as vouchsafed in a vision to the Blessed Virgin of Bonpompier, who shared the secret with Gymnaste here over breakfast), as it is reckoned the one sovereign cure against all female ills, and the ailment of cuckoldry besides. I am always glad of another brave Christian, if you wish to accompany us.&rdquo;");
character.qualities.depantsed = 2;
} else {
system.say("You make your way back to the giant and his cronies, who raise a hearty cheer.");
}
if (character.qualities.mansplained < 2) {
	system.say("[list]\
* Drinking and fart jokes are all very well, but this is a total sausage party. Wasn't there a girl back there? [joan]\
* Sausage party? Sign me up! [sausageparty]\
	* Don't commit to anything just yet. [girltalk]");
	} else {
	system.say("[list]\
	* &ldquo;Er, um. I was just leaving? Again?&rdquo; [joan]\
	* &rdquo;Was there talk of adventure? I'm your man!&rdquo; [sausageparty]");
	}
}
}),

girltalk: new undum.Situation({
enter: function(character, system, from) {
system.say("You make equivocal noises, and they don't press the matter. &rdquo;So, Makane, you're here for wenching, eh? You're a man of the world, tell us: what is the nature of a woman?[br]&ldquo;Er,&rdquo; you begin, but this is plainly a favoured subject and your hesitation is taken as a signal for a general mel&eacute;e, which rapidly shows signs of becoming a symposium. After several hours of this, you don't feel that you've learned anything very much about women that you didn't know before, except that the men here don't seem like them very much. You stow this information away for later use. [list]\
* Lovely to meet you, gottagobye. [joan]\
* You seem like splendid fellows! I accept your offer! [sausageparty]");
character.qualities.mansplained=2;
}
}),

sausageparty: new undum.Situation({
enter: function(character, system, from) {
system.say("The next day -- after drinking, you understand -- you set out for the southern coast, and make very good time, owing to the giant's vast strides, and very bad, due to his habit of stopping at every drinking-hole within five miles of your route. At length you are all decanted into a great ship and bounce out of harbour.[br]On the second day an island is sighted, and Gymnaste is sent aloft to try and discover its nature; under questioning he declares it first to be Blarni-blarni, then the Emirate of Cunt-dunkers, then the land of Prester John, Atlantis, or Friesland; that it is a turd dropped by Atlas; and that it is an entirely new land bellied forth by Neptune; all of which is to say, that nobody has the slightest idea, and of all the fifty thousand volumes of learning on the ship not one is an atlas or a treatise on navigation. With no other way of finding out where you are, you drop anchor, take boats to the shore and _split up to scout the island._ [island]");
}
}),

        island: new undum.Situation({
	enter: function(character, system, from) {
	system.say("[heading]The Island[br]You stroll along the beach, bare-footed in the cool surf. At the head of the bay you discover a weather-battered information board:[br]-Due to the irresponsible overpopulation of narrative space, the number of remote islands is exceeded several times over by the discrete stories that require them. Given the relatively small area of an island actually used by the average story (outside establishing shots and other broad functions not entailing use conflicts), a partitioning system is in effect on both beachfront and interior land. To facilitate access by independent visitors, a map is provided detailing current narrative assignments.- [br]The map below is rather heavily water-damaged, and none of its text is legible; but you can make out that the island is divided into three areas: one consisting mostly of high crags, narrow valleys and small, hidden harbours; a second covered in forest, and a third dominated by meadows and rolling hills.[list]\
	* Mountains! [mountains]\
	* Forests! [forests]\
	* Grassland! [grasslands]\
	* A vertex between all three! [vertex]");
	}
}),

vertex: new undum.Situation({
	enter: function(character, system, from) {
	system.say("If -that's- your game, we all know what your role is, Stiffy, and it's not one that's placed along the edges. Shall we try that again?[list]\
	* Mountains! [mountains]\
	* Forests! [forests]\
	* Grassland! [grasslands]");
}
}),

mountains: new undum.Situation({
enter: function(character, system, from) {
	system.say("Travel through the mountains proves to be slow and arduous, and you are soon totally out of breath. It is with no regret whatsoever, therefore, that you duck into the first cave opening you can find and take the gentlest route possible. Spurning passageways that look as if they might entail a lot of work, you eventually _find a level exit as big as a barn door._ [neanderthal]");
}
}),


grasslands: new undum.Situation({
	enter: function(character, system, from) {
	system.say("It seems senseless to bushwhack or mountain-climb when you don't have any idea what you're looking for, so you make your way into the gentle hills. It's pleasant, easy walking and you make good progress.[br]After about an hour's strolling, a twitch in your peripheral vision makes you realise that you're not alone. Oh dear. Very much not alone. Two armies are drawing up into battle-lines, and you seem to have wandered unaware down the middle.[br]On the left there is a profusion of white toques, checked trousers and fearsome cutlery. On the right... er. A bewildering assortment of Sausages, Chitterlings, Puddings, Haggisae and Dumplings, well-provided with mustard.[br]Neutrality no longer seems to be an option.[list]\
	* The outcome is obvious. Side with the chefs. [chefside]\
	* Down with the oppressor! Side with the sausages. [sausageside]");	
}
}),

chefside:  new undum.Situation({
	enter: function(character, system, from) {
	system.say("In a confrontation between chefs and sausages there can only be one victor, and you'd rather not be massacred. The battle goes well; the Chitterlings surrender, and you continue on your way. Many adventures follow (the which, if they should be written every one, I suppose not even the world itself could contain the code that should be written) until you come at last to Lanternland, are guided down the Tetradic Steps by the Lady Lantern, and there (once you have made it quite clear that you require no oracles, and she has made it clear that she needs no wicking) _rejoin the Cavity of Time._ [node2]");
}
}),

sausageside:  new undum.Situation({
	enter: function(character, system, from) {
	system.say("The Sausage Army cheers as you join their ranks, and hail you as one of their own (for you are descended, through Macanus, through the ancient Chitterling Ithyphallus that caused so much trouble in all the most ancient gardens of the world.) You are instructed by General Currywurst to slather yourself thoroughly in mustard, the proven balm against all the ills of Sausages, and to gird your loins for battle. You gird.[br]The battle goes extremely poorly, and you are captured. When the time comes to divide up the Sausage-prisoners, to determine ranks and ransoms, you give the Chefs a great deal of puzzlement; at last it is determined that you must be a particularly large, cured and aged sausage, and as such should be stored in a cool, dry cellar until required. You find this arrangement highly convenient, and once the door is closed you wriggle from your hook and _depart for the cellar's depths._ [node2]");
}
}),

forests: new undum.Situation({
	enter: function(character, system, from) {
	system.say("Possibly out of sheer bloody-mindedness, you head into the forest. It turns out to be less impenetrable than it looks: it's more a series of Arcadian glades, with the occasional bubbling stream or picturesque ruined temple. Birds sing, deer frolic. Nymph types in translucent... well -hello there-.[br]On closer inspection, there seems to be just the one: broad shoulders, solid contrapposto hips, Pre-Raphaelite pout. Barefoot. -Tresses-. She's standing by a table in an ivy-choked ruin, pouring wine from an amphora.[list]\
	* Get out of this forest as quickly as possible. [leaveforest]\
	* Introduce yourself. [introducey]");	
}
}),

introducey: new undum.Situation({
	enter: function(character, system, from) {
	system.say("You stroll in her direction with a cheery wave; she glances up at you with big dark eyes. &ldquo;Greetings, sailor. You must have travelled far; may I offer some...&rdquo;[br]&ldquo;Don't mind if I do. Very good of you,&rdquo; you say, throwing back a cupful of the wine. &ldquo;My, but that's... is that retsina or mulled or something? Very good either way. Congratulations on your cellar.&rdquo;[br]She sets her cup aside as she slides up against you, running her fingers up the inside of your forearm and toying with the brooch that holds all that drapery together. You perk up even further. &ldquo;Mmm. So how about it?&rdquo;[br]Her eyes shoot over to an ornamental sundial, and then she breathes &ldquo;Give me seven and a half minutes.&rdquo; and sidles off into a scenic grotto.[br]You help yourself to some more wine, twiddle your thumbs a little, then go to check your teeth in the reflection of a limpid pool. Your teeth are spinach-free, but the tusks come as something of a surprise. You appear to be a good-sized wild boar, albeit as good-looking as ever. Well, -that- was almost unexpected.[list]\
	* Get out of here before she comes back. [pigflee]\
	* Charge into the grotto. [grottocharge]\
	* Hang around. [circewait]");
	system.setQuality("porcus", character.qualities.porcus+1);
}
}),

circewait:new undum.Situation({
	enter: function(character, system, from) {
	system.setQuality("score", character.qualities.score+1);
	system.say("A few seconds later, Circe emerges from the grotto, naked and carrying a bottle of olive oil. &ldquo;Get over here, porkchop,&rdquo; she smoulders, dropping smoothly to all fours.[br]The most notable thing about fucking as a boar is the rather unsettling feeling of several quarts of semen sloshing around inside you. It's not unlike having a fluid-filled cyst lodged inside your pelvis. Also, the tactile possibilities of trotters are severely limited, so your only real options are humping or humping faster. Circe has a spectacularly good time, though, so after the third bout you just concentrate on watching her. Which is much more entertaining. At length you... okay, for once 'explode' is a really good simile, let's leave it at that.[br]Somehow she recovers faster than you do. &ldquo;Okay, kid, you were pretty good. Which means that you get to be free, rather than bacon and magic dumplings. Run along home now.&rdquo; and you are swatted with a broomstick and _herded unceremoniously into the grotto._ [lostpig]");
}
}),

pigflee: new undum.Situation({
enter: function(character, system, from) {
	system.say("Turning tail, you scamper away as fast as your trotters can carry you. By the time you've started considering whether headlong, random flight is a good long-term strategy, you've run into a patrol of the Chitterling army. Here you are hailed as Shrove Tuesday, a god-ancestor of all the Chitterling people; and many pretty young Andouillettes are prepared to be sacrificed to you. But before you are able to enjoy your unexpected good fortune, the Chitterlings are utterly defeated by the Chefs, and you end up on a barbecue with an apple up your arse.[heading]The End[br]");
}
}),

grottocharge: new undum.Situation({
enter: function(character, system, from) {
	system.say("With an intemperate snort you charge into the grotto. After several minutes of subterranean charging, Circe is still not in evidence, and you have the sinking feeling that you're not going to be able to find your way back. And she was probably the only person who could change you back. You feel a little downcast as you _continue through the Cavity._ [lostpig]");
}
}),

lostpig: new undum.Situation({
enter: function(character, system, from) {
	system.say("You pass through a maze of dark tunnels, through which blows a cold and gusty wind. Eventually you emerge into light once again.[br]Brightly-coloured murals cover the walls of this room; surverying them is a vast hulk of a man, quite naked and a little on the green side. On seeing you, he approaches, making cooing noises and holding out a chunk of processed fruit-cake.[list]\
	* Eh, you've had worse. Let's get this over with. [eatenpig]\
	* Flee back down the passageway. [pigflee]\
	* Dash between his legs and into one of the tunnels beyond. [unpigged]");
}
}),

eatenpig: new undum.Situation({
enter: function(character, system, from) {
	system.say("Eh, you've had worse. Let's get it over with. You turn around and put your face in the figurative pillow, and a moment later you are roughly seized. But here things diverge from the script somewhat, and in a few prodigious bites you have been eaten. In an entirely non-figurative way.[heading]You have died[br]");
}
}),

unpigged: new undum.Situation({
enter: function(character, system, from) {
	system.say("The green fellow turns out to be slow and clumsy, and you dash past him before he has time to even attempt a grab. Hot-footing it down the tunnels,[br]Fortunately, your next troglodytic encounter is with a gathering of Isis-worshippers engaged in a secret ritual. You bowl over the ankh-bearers, stick your snout into the crotch of the High Priestess, frolic gaily across the Sealed Circle, knock over the ritual wine, chase a blushing sistrum-boy around a pillar, and finally make off with a garland of delicious roses. Munching contentedly, _you continue on your way._ [node2] The roses become rather less appetising as time passes, but and you bump your head on the ceiling a few times, but it's very nice to have hands again.");
	system.setQuality("porcus", character.qualities.porcus-1);
}
}),


leaveforest: ({
	enter: function(character, system, from) {
	system.say("Having no wish to be torn apart by weasels or turned into something unpleasant, you very sensibly hurry away from her.[list]\
	* Out into the open fields. [grasslands]\
	* Up above the tree-line. [mountains]");
}
}),


valseuses: new undum.SimpleSituation(
"<h1>HMS Breechless</h1>\
<p>As you step out on deck, your ears are filled with the snap of sailcloth,\
the soft growl of the sea, and the clangour of pitched battle. The wind of pistol-ball \
brushes past your cheek. And through the hubbub, cutting men down as he strides, comes \
your honourable foe Valseuses -- the darling of the French Navy -- making straight for you.</p>\
<p>&ldquo;Maquan! Draw or die!&rdquo; he roars huskily. His hand flies to his belt \
and he unsheathes in one smooth flourish.</p>\
<p>Valseuses is reputed to be the finest <em>epeeiste de porc</em> in Europe, and you have crossed \
blades with him before; always he has triumphed. In a duel of seamanship and gunnery you have\
always been his equal and more, but...</p>\
<p>By the way, what was your dump stat back when you were picking shirt colours?</p>\
<p class='transient'><ul class='options'>\
<li><a href='dumprum'>Rum.</a></li>\
<li><a href='./sodomy' class='once'>Sodomy.</a></li>\
<li><a href='dumpthelash'>The lash.</a></li></ul></p>",
	{
               actions: {
                   "sodomy": "<p>Very funny. What was your <em>real</em> dump stat?</p>"
               }
        }
),


dumprum: new undum.Situation({
enter: function(character, system, from) {
system.setQuality("rum", character.qualities.rum+2);
system.setQuality("thelash", character.qualities.thelash+5);
system.setQuality("score", character.qualities.score+1);
	system.say("With a wrist fortified by long hours whipping shirkers and mutineers into shape, you have an edge on Valseuses; doubtless -his- wrist is more accustomed to tipping back Chambord. After the first tentative swirling of blades, you make a sudden reverse -passe-foutoir-, more brutal than elegant. But for that reason little-used: undone, he stumbles and falls to one knee, your sword-point resting lightly against his jugular.[br]Unfortunately, just at that moment peace is declared.[heading]Later[br]&ldquo;Zis uneasy peace brings wiz eet a tansion ambigueuse to our relashionsheep, non?' murmurs Valseuses, his hand brushing, as if accidentally, against your cheek and lingering there a moment as he flirtatiously tickles your larynx with his foreskin. &ldquo;Cam with me to Paris, mon petit vol-au-vent, and we shall pain the town red.&rdquo;[br]&ldquo;Aughomm,&rdquo; you reply. What you -mean- to say is:[list]\
	* &ldquo;Of course! Let us not delay.&rdquo; [montecristo]\
	* &ldquo;I cannot. I long to tread English soil again.&rdquo; [pamela]\
	* &ldquo;Alas, I am married to the sea.&rdquo; [marriedtosea]");
}
}),

dumpthelash: new undum.Situation({
enter: function(character, system, from) {
system.setQuality("rum", character.qualities.rum+5);
system.setQuality("thelash", character.qualities.thelash+2);
system.setQuality("score", character.qualities.score+1);
	system.say("Your long dedication to the rum-cask has given you a heroic case of gout: though you are his match in the arm, his footwork is infinitely superior. He senses his advantage but, like a man of honour, does not toy with you; you are dispatched in a few sharp thrusts.[br]Fortunately, just at that moment peace is declared.[heading]Later[br]&ldquo;Zis uneasy peace brings wiz eet a tansion ambigueuse to our relashionsheep, non?' murmurs Valseuses, his hand brushing, as if accidentally, against your cheek and lingering there a moment as he flirtatiously tickles your larynx with his foreskin. &ldquo;Cam with me to Paris, mon petit vol-au-vent, and we shall pain the town red.&rdquo;[br]&ldquo;Aughomm,&rdquo; you reply. What you -mean- to say is:[list]\
	* &ldquo;Of course! Let us not delay.&rdquo; [montecristo]\
	* &ldquo;I cannot. I long to tread English soil again.&rdquo; [pamela]\
	* &ldquo;Alas, I am married to the sea.&rdquo; [marriedtosea]");
}
}),

marriedtosea: new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;Alas, I am married to the sea.&rdquo;[br]Valseuses is crestfallen, but with an effort he overcomes his injured Gallic pride. &ldquo;Then I wish you good luck, and I pray that our paths cross again from time to time.&rdquo;[br]You return to the -Breechless- and set a course to the horizon. There will be dashing rivals, and whore-ridden ports, and a steady supply of pliable midshipmen and worldly bosuns. There will be gallantry and despair, tedium and triumph, and always a convenient supply of rope. And one day, perhaps, you might find some sea-cave or grotto that leads you back to...[br]...the Cavity of Time.[br][heading]The End");
}
}),

montecristo: new undum.Situation({
enter: function(character, system, from) {
system.say("Valseuses is delighted, and declares that you will sail on the very next tide. A few days into the voyage, however, he declares that you'll need to take a detour to a remote island off the Corsican coast where (he is reliably informed) a vast treasure is buried.[br]When you arrive, it emerges that Valseuses has assembled a band of swarthy Genoese smugglers, each with a very broad grin. &ldquo;The treasure is hidden within this cloven rock,&rdquo; leers Valseuses. &ldquo;We must make a most thorough search.&rdquo; Bristly eyebrows twist and contort like a nest of poisoned caterpillars. It doesn't take a genius to tell what's going on here.[list]\
* Lead the way into the cave. [neandertrans]\
* Let them go in first, then sneak off down the beach. [island]");
}
}),

neandertrans: new undum.Situation({
enter: function(character, system, from) {
system.say("Swaying your hips (though without being all crude about it), you make your way into the tunnel. Almost a minute later you still haven't been grabbed; glancing over your shoulder, you see you are alone! Have you been cruelly abandoned, or did you miss a fork? You hurry back to the entrance, _but the landscape seems to have changed entirely..._ [neanderthal]");
}
}),

neanderthal: new undum.Situation({
enter: function(character, system, from) {
system.say("[heading]Clan of the Cave Donkey[br]You stand in an alpine meadow, with mountains ringing the horizon and a view of forested lowlands downslope. Across this rugged landscape creep a file of short, muscular folk with brow-ridges, receding chins and the kind of clothes you wear when sewing remains an unfathomable mystery. You hail them.[br]&ldquo;Nin hur diavolth mnarbothim dal goush pal frapin duch im scoth pruch galeth dal chinon, min foulthrich al conin butathen doth dal prim?&rdquo;[br]Ah well. Through gestures manage to make yourself mostly understood.[br]Your weak -sapiens- body is of little help to the Neanderthal way of hunting, but you make yourself very useful with cooking vegetables and creating debatable art-objects and so forth. Unfortunately, it turns out that they have a sophisticated continuous culture that includes a prolonged, complex courtship and inflexible views about monogamy. Clubs and hair-dragging do not feature. You think Grkmrut might be giving you the glad eye, but after about thirty-two hours you're about ready to bang a -Dolinasorex-.[list]\
* Bugger right back off to the Cavity. [neandernode2]\
* Seduce Grkmrut when everybody's off hunting, slip her one, -then- bugger right back off to the Cavity. [grkmrr]\
* Adapt to the local customs, patiently woo Grkmrut.[monogamy]\
* Bang a -Dolinasorex-. [dolinasorex]");
}
}),

dolinasorex:  new undum.Situation({
enter: function(character, system, from) {
system.say("As it turns out, -Dolinasorex- is a sort of venomous giant shrew. Your romantic advances are received much as you'd expect.[heading]You have died");
}
}),

monogamy:  new undum.Situation({
enter: function(character, system, from) {
system.setQuality("score", character.qualities.score+1);
system.say("With her broad collarbones, chunky bow-legs and the assured self-confidence that you just don't find in women under twelve, Grkmrut is worth waiting for. Also, you've never done it with anyone with a gracile pubic ramus. You are determined to tough it out.[br]After about a week, your frenzied masturbation has become an object of wonder to the Neanderthals, who at this time had developed only the crudest and most elementary principles of frottage. Sharing your wisdom with prudence and generosity, you swiftly ascend the status ladder. Before the winter snows come, your relationship with Grkmrut is acknowledged by the group, and you consummate the union by a waterfall atop a pile of mammoth furs. (She's a squeaker.)[br]Over the years, you solidify your position among Grkmrut's people and grow accustomed to their simple life. At times, when the ice-winds cut through the flaps of your hide tent and the aurochs' bellow rumbles through the forest, you feel an indefinable pang and consider returning to the Cavity of Time. But this is your home: this is where your people are, your accomplishments, lovely wife, children legitimate and otherwise. There are more adventures yet to be had in this young world.[br]But that is another story.[heading]The End");
}
}),

neandernode2:   new undum.Situation({
enter: function(character, system, from) {
system.say("This miserable existence is no place for a person of your stature. You consider seeking out some Cro-Magnons, who might at least vary a little from the brick-shithouse model, but it's still a long way off from shaving and Astro-Glide. Fortunately, the group hasn't travelled too far from the Cavity's aperture, and you _find your way back easily enough._ [node2]");
}
}),

grkmrr:   new undum.Situation({
enter: function(character, system, from) {
system.setQuality("score", character.qualities.score+1);
system.say("Yeah, if you're going to blow this stupid epoch you may as well get a little physical anthropology out of it first. You wait until the burlier members of the tribe have sloped off to wrestle some Irish elk, and turn on the hominin magnetism.[br]Without a common language, any cultural similarities whatsoever, or any fetch-quests that don't involve a large and bloody carcass, your seduction techniques are heavily constrained. By the time you've got the idea across there's only really time for a quickie. And, uh, Neanderthals seem to be an acquired taste. One that as if it could be worth acquiring (preferably somewhere with hot running water).[br]The elk-hunters make it back considerably sooner than you'd expected, but you have longer legs and less weight to carry around; you make it back to the cavemouth well ahead of your pursuers, and are soon safe _in the uncharted paths of chaos._ [node2]");
}
}),

pinklacuna: new undum.SimpleSituation(
"<h1>An Indigo Vacuole</h1>\
<p>Oy, but you're dozy. Everything's kind of wobbly and swimming around. Aw hell, you don't want \
to turn into one of those amnesiac heroes, they <em>never</em> get any tail. Pull yourself together. \
Basics first. Are you a <a href='masculine'>man</a> or a <a href='feminine'>woman</a>?</p>"
),

masculine: new undum.Situation({
enter: function(character, system, from) {
    system.say("A man. Well, that was easy. The fixation on your own penis was pretty much a giveaway.[br]Speaking of which, you seem to be spooning someone warm and unfamiliar. Would you prefer them to be a _man_ [bangdude] or a _woman?_ [bangchick][list]\
    * Damn the oppressive gender-binary! I want one of those dickgirls with enormous tits. [dickgirl]");
    }
}),

feminine: new undum.Situation({
enter: function(character, system, from) {
    system.say("A woman? ...well, okay, whatever you and the other person agree on, I suppose. And apparently there *is* another person; you're sleepily entangled. They don't smell like anyone you've fucked lately, though. Okay, okay, would you prefer them to be a _man_ [bangdude] or a _woman?_ [bangchick][list]\
    * Damn the oppressive gender-binary! I want one of those dickgirls with enormous tits. [dickgirl]");
    }
}),
  
bangdude: new undum.Situation({
enter: function(character, system, from) {
    system.say("A guy? You have some totally unreliable memories that might suggest that, let's go with those. [br]At any rate, he's beginning to shift about, there's some warm semi-conscious hip-grinding and fumbling going on. But other urges call to you. Do you want to _make love_ [makelove] or _make it nasty_ [makenasty]?");
    }
}),
  
bangchick: new undum.Situation({
enter: function(character, system, from) {
    system.say("A woman? Yeah, all right, if that makes you feel better. Just keep squinting. [br]At any rate, she's beginning to shift about, there's some warm semi-conscious hip-grinding and fumbling going on. But other urges call to you. Do you want to _make love_ [makelove] or _make it nasty_ [makenasty]?");
    }
}),

dickgirl: new undum.Situation({
enter: function(character, system, from) {
    system.say("Uh, okay. Keep your eyes shut and your hands in strategic areas and let the power of your imagination do the rest. Just so long as we don't start on the lactation stuff, all right?[br]At any rate, zie's beginning to shift about, there's some warm semi-conscious hip-grinding and fumbling going on. But other urges call to you. Do you want to _make love_ [makelove] or _make it nasty_ [makenasty]?");
    }
}),

makelove: new undum.Situation({
 enter: function(character, system, from) {
system.setQuality("score", character.qualities.score+1);
system.say("Hopefully if you keep it slow then nobody will wake up properly and you can sneak out afterwards without any awkward introductions.[br]You enjoy a pleasantly langorous, half-awake screw, but you get the distinct feeling that an argument about commitment is planned for later; so you fake unconsciousness until you hear snores, then slide out of bed, sneak from the half-lit room, and _duck out through the first exit you can find._ [island] Which turns out to be... a painting?");
}
}),
  
makenasty: new undum.Situation({
 enter: function(character, system, from) {
system.setQuality("score", character.qualities.score+1);
system.say("You start off with a little biting and clawing, and find it enthusiastically returned. This isn't exactly your normal speed, but sometimes the situation demands it. After that things escalate rather swiftly; hands are clamped over mouths, a three-quarter-nelson is applied, and the bed sustains major structural damage.[br] Though bruised, you retain enough presence of mind to _sneak out in the immediate aftermath._ [island] Albeit by a rather unorthodox route.");
}
}), 
  

pamela: new undum.Situation({
 enter: function(character, system, from) {
system.say("[heading]Bedfordshire, England, London[br]As you disembark, it becomes clear that you have no real idea what you're doing here. The Admiralty coughs up a chunk of your accumulated wages and turns you onto the street; you try to assume the local diet of roasted cross-sections of morbidly obese cow, strong half-scorched beer and chancre-riddled whores, but after a very short time the smoke and grease and stickiness gets to you. Increasingly you find yourself aimlessly wandering the streets, barely even enthusiastic enough to horsewhip impertinent urchins. After what feels like weeks, you find yourself somewhere that seems somehow familiar. [br][heading]Public Paragon Pamela's House[br]You are outside Pamela's house. _North_ [pamnorth] leads to her house, _East_ [pameast] leads behind her house.");
}
}),

pameast: new undum.Situation({
 enter: function(character, system, from) {
 system.say("You duck down an alley and make your way around to the rear. It's been -forever- since you engaged in a touch of old-fashioned, straight-from-the-hip voyeurism. Nice and simple: window, dame, perv. One of the greats.[br]The windows are small, curtained and not very well lit; more to the point, the back of the house is where the servants go, and there are a lot of them. You attempt a quick bout of pocket billiards in the hope that it'll invoke an appearance at a window; but the staff seem to be experienced in dealing with annoyances of your type. A burly washerwoman menaces you with a flat-iron while a kitchen-boy runs to fetch the mastiffs. You have accomplished climax under more trying conditions, but there scarcely seems much point. You abruptly decamp.[list]\
 * Go in by the front door. [pamnorth]\
 * Give this up for a bad job. [abandonpam]");
 }
 }),

pamnorth: new undum.Situation({
 enter: function(character, system, from) {
 system.say("You march up to the front door, let yourself in, and stride into the bedroom (this, as you understand, is the correct etiquette for gentleman callers).[br] Pamela is here![br]Her skirt is short (by contemporary standards) but not short enough (to see her ankles).[br]Her mantua is screaming, &ldquo;Get me away from these whalebone stays!&rdquo;[br]Her ring finger looks like a good place to put something![list]\
 * Fuckherfuckherfuckherfuckherfuckherfuckherfuckherfuckherfuckherfuckher! [fuckpamela]\
 * When in Rome, do who the Romans do. Go for those sweet ankles. [anklefuck]\
 * Be romantic. Stick a ring on her, -then- throw her skirts over her head. [marry]\
 * Something's very wrong here. Flee the house. [abandonpam]");
 }
 }),
 
marry:  new undum.Situation({
 enter: function(character, system, from) {
  system.say("You've made a habit of carrying around a half-dozen or so wedding bands ever since that incident with the Haplodraflorian geneline princess and the elevator shaft. Since then you've never met anyone weird enough for the issue to arise, but now might just be the time it pays off. In one smooth motion, you drop to one knee before her and stuff a ring onto her finger. &ldquo;There ya go, kiddo, all formalities observed. Now let's do it like...&rdquo;[br]&ldquo;Oh, Stiffy,&rdquo; Pamela coos, &ldquo;you're so very sweet, really, but the problem you see is that I -am- married, to a man even more charming and kind than you.&rdquo;[br]&ldquo;So in this era that's... not okay?&rdquo;[br]&ldquo;-No-, Stiffy, it's called bigamy and they put you in -prison- for it. Speaking of,&rdquo; and she begins to scream BIGAMIST at the top of her sturdy peasant lungs.[br]You're not quite sure how they make it stick, seeing how the thing with the Haplodraflorian ngirl never came to anything, but the legal system doesn't seem very interested in this point. Your inspired self-defence moves the judge, though, and you merely _end up in the looney bin._ [chokey]"); 
 }
 }),
 
anklefuck: new undum.Situation({
 enter: function(character, system, from) {
  system.setQuality("score", character.qualities.score+1);
  system.say("Dropping to one knee before her, you clasp Pamela behind the ankle in one hand, draw it towards you and thrust your stiffy in between dress-hem and ankle.[br]Stuffing your stiffy between her skirt-hem and ankle, you thrust away with a whippet-like fervour. Really, you wouldn't ever have considered this a credible kink, but context is everything: her charming blushes and intermittent gasps of &ldquo;oh, sir,&rdquo; the frosty indifference of the servants who wander in and out throughout the process. At last you reach your Xanadu, very messily indeed; but surely if the eighteenth century knows anything, it's how to get semen stains out of chiffon.[br]The front door opens, and you hear feet on the stair. Pamela starts. &ldquo;My husband! Too late for the back stair - quickly now, into the wardrobe.&rdquo; This doesn't seem like the finest idea ever conceived by mankind, but you're still rather cross-eyed and in no state to argue.[br]The wardrobe is rather bigger than you expected. There's not even a false back: it just keeps on going into darkness. Mr. B is in the room now and making suspicious noises, so you _beat a hasty retreat into the darkness._ [node2]");
  }
  }),

 fuckpamela: new undum.Situation({
  enter: function(character, system, from) {
 system.say("You advance towards her, letting out a friendly mating-call of &ldquo;Pwoik,pwoik,pwoik!&rdquo; The second that you lay a hand on her, however, she faints dead away, thus rendering herself totally immune to rape. Well, crap. What are you supposed to do now?[list]\
 * Hide in the wardrobe. [wardrobe]\
 * Go below-stairs and bugger a servant who's not so frail. [buggerservant]\
 * Leave the house in disgust. [abandonpam]");
 }
 }),
 
 buggerservant: new undum.Situation({
 enter: function(character, system, from) {
  system.setQuality("score", character.qualities.score+1);
 system.say("You stomp downstairs in a grouch and intercept the nearest scullery-maid -- heavy pockmarks, aroma of gin, may or may not be called Sukey. Here you're quite sure of the contemporary etiquette: chuck her under the chin in a fatherly fashion, then give her a shilling and a quick one up the tradesman's.[br]She's short and curvy, squirms a lot, and giggles uncontrollably throughout. Afterwards, part of you realises that she's a lot more appealing than Pamela ever was, but for some reason _this doesn't make things any better._ [abandonpam]");
 }
 }),
 
 wardrobe: new undum.Situation({
 enter: function(character, system, from) {
 system.say("Okay, you've seen this movie. You hide in the wardrobe, wait until she's all alone and vulnerable and relaxed in her night-things, then spring out and overwhelm her with your raw manliness before she has the -time- to faint. And what with all the ladies' what-nots hanging up in there, you can probably get in a round or two with Mrs. Palm in the meantime.[br]It's not as cramped as you expected, although a disappointing proportion of the clothing is coarse linen or wool. It takes a great deal of dedication to jerk off in a wool stocking -- oh, you manage, but you feel cheated. Worse, you get turned around and push your way out through the -back- of the wardrobe. Fortunately, you don't end up in a land of perpetual winter wearing nothing but a crusty stocking adhering to one leg, but you -do- seem to have found your way back into the _Cavity of Time._ [node2]");
 }
 }),
 
 abandonpam: new undum.Situation({
 enter: function(character, system, from) {
 system.say("Disconsolately, you leave Pamela's house behind you. You don't need her! You can make your way in this bleak, unfamiliar, beshitted world all on your own. Surely it can't be too hard to make something of yourself in the world's greatest city; failing that, you can always find another entrance to the Cavity of Time. [br]Within forty-eight hours, you have been arrested, legally certified as a dangerous lunatic and banged up in a mental asylum. Since you have frittered away the last of your money in the interim, you are dumped into _the darkest and foulest of cells._ [chokey]");
 }
 }),
 
 chokey: new undum.Situation({
 enter: function(character, system, from) {
 system.say("[heading]In Chokey[br]It is an established principle that no prison cell can long hold a seasoned adventurer, let alone a marinated one. We will therefore take the mundane details of your escape as read, and rejoin the narrative as you sneak up from the twisted lower intenstines of the prison. You aren't quite sure that you haven't lost your way again, but it seems as if you're coming to the better-ventilated areas, among rooms let to the more affluent inmate. The windows are still barred, though. You're trying to find a way out when you hear authoritarian footsteps approaching, and _duck into the nearest room._ [madman]");
 }
 }),

madman: new undum.Situation({
 enter: function(character, system, from) {
system.say("You find yourself in a well-appointed room; a wild-eyed man with a prodigious beard is seated at a desk among towering piles of books. Every inch of the floor and walls are covered with papers, each inscribed haphazardly with the rounded, tortuous cursive of a child.[br]&ldquo;A visitor! I have so few. I don't believe we've met: I am Dr. Minepost, known to my whimsical comrades as the Fractured Sap.&rdquo;[br]&ldquo;Makane.&rdquo;[br]&ldquo;Delighted to make your acquaintance, sir.&rdquo;[br]&ldquo;Um. You seem to have quite the library here.&rdquo;[br]&ldquo;Indeed! Dr. Johnson is compiling a Bibilocyclopaedia, and has dispatched asking for help. I pride myself on being his most diligent contributor. It is no pleasant task, considering the immense quantities of filth that flow continually from our gutter presses.&rdquo; He holds a volume aloft between finger and thumb. &ldquo;This shameless work, for instance, mentions its heroine going to... to -bed-. Were the sordid episode illustrated, her shift would be plainly visible!&rdquo;[list]\
* &ldquo;With the night air teasing the translucent fabric across her rich womanly curves?&rdquo; [implied]\
* &ldquo;Johnson? Don't you mean Murray?&rdquo; [johnson]\
* Sneak a look through his in-tray. [bibliography]");
}
}),

implied: new undum.Situation({
 enter: function(character, system, from) {
system.say("&ldquo;With the night air teasing the translucent fabric across her rich womanly curves?&rdquo;[br]&ldquo;...Not in so many words. But it is certainly -implied-, sir, and in Literature implication is all. Worse, incest is referred to as having occurred mere decades before! Can you imagine the consequences of such a work falling into the lap of an innocent woman or child?&rdquo;[list]\
* &ldquo;You said Johnson just now, don't you mean Murray?&rdquo; [johnson]\
* These books sound pretty good. Sneak a look at his in-tray. [bibliography]");
}
}),

johnson: new undum.Situation({
 enter: function(character, system, from) {
 system.say("&ldquo;Johnson? Don't you mean Murray?&rdquo;[br]&ldquo;It was judged by the lackwitted Mandarins that Johnson's name was better-suited than Murray's to the gutter variety of so-called humour.&rdquo;[list]\
 * &ldquo;What sad times we live in, indeed.&rdquo; [minorcontinue]\
 * &ldquo;I don't know, I could probably whip up a limerick.&rdquo;[limerick]");
 }
 }),

minorcontinue: new undum.Situation({
 enter: function(character, system, from) {
 system.say("&ldquo;What sad times we live in, indeed.&rdquo;[br]&ldquo;Sad indeed. Mere words cannot express the all-pervading wretchedness and incompetence of the world, yet none but I see it. What must I read? Works about people having -conversations-! Works about -women-! I have always set out to be a friend to the new author (unlike the hostile Mandarins of the Literary Establishment, whose only pleasure is to flay) but why do they all insist on penning such -garbage-? On every side, nothing but the drivel of progressive cowards, the oppression of masculinity, the corruption of youth! Yet I shall stand firm, resolute in my principled stand! Do not think that I will quail under mean-spirited attacks by those who seek to silence me! I will not! Stridently my voice shall ring...&rdquo;[br]The last two-thirds of this are delivered to the door while you slip away down the corridor. _As you head back downstairs,_ [leaveminor] you can still hear his howls dimly echoing through the halls; but apparently the other cells are soundproofed, because he draws no response.");
 }
 }),

limerick: new undum.Situation({
 enter: function(character, system, from) {
system.say("&ldquo;I don't know, I could probably whip up a limerick.&rdquo;[br]&ldquo;Please refrain.&rdquo;[br]&ldquo;A lovely young lady named Murray[br]Never washed after cooking a curry;[br]The oils on her hands[br]Would transfer to your glans...&rdquo;[br]His face puckers. &ldquo;NOT COOL. You expect me to listen to this filth...&rdquo;[list]\
* And the screams would be heard far as Surrey. [surrey]\
* At the moment you shipped out your slurry. [slurry]\
* Bu' a' least the lass werenae a furry. [furry]"); 
}
}),

surrey: new undum.Situation({
 enter: function(character, system, from) {
system.say("&ldquo;...And the screams would be heard far as Surrey.&rdquo;[br]His face tightens. &rdquo;Out! OUT! Is it not enough that my contributions be continually scorned -- must they send perverts to try and brutalise me into silence? I will never modify my views one grain, no matter what anyone thinks! Cannot they see that all around is nothing but depravity and , while I alone [br]It seems as if he's going to go on in this vein for some time, so _you withdraw._ [leaveminor]");
}
}),

slurry:  new undum.Situation({
 enter: function(character, system, from) {
system.say("&ldquo;...At the moment you shipped out your slurry.&rdquo;[br]His face tightens. &rdquo;Out! OUT! Is it not enough that my contributions be continually scorned -- must they send perverts to try and brutalise me into silence? I will never modify my views one grain, no matter what anyone thinks! Cannot they see that all around is nothing but depravity and , while I alone [br]It seems as if he's going to go on in this vein for some time, so _you withdraw._ [leaveminor]");
}
}),

furry: new undum.Situation({
 enter: function(character, system, from) {
system.say("&ldquo;...Bu' a' least the lass werenae a furry.&rdquo;[br]His eyes have narrowed. &ldquo;-Makane-. From what land does that name derive, sir?&ldquo;[list]\
* It's Scots. [safename]\
* Irish. Why? [irishname]\
* No, stress on the second syllable. Muh-*kar*-neigh. West African. [safename]\
* I don't really know; I think Mark Ryan just listened to too much wanker-rock. [markryan]");
}
}),

markryan: new undum.Situation({
enter: function(character, system, from) {
system.say("ldquo;I don't really know; I think Mark Ryan just listened to too much wanker-rock.&rdquo;[br]You've never seen pupils contract so quickly.  &ldquo;-Ryan-, you say? As in &Oacute;'R&iacute;an? That would explain the Limerick, then.&rdquo; His hand darts behind a stack of books, and re-emerges with terrible speed and a Navy revolver. You dash for the door, but he has three shots off before you reach it.[heading]You have died[br]");
}
}),

irishname: new undum.Situation({
enter: function(character, system, from) {
system.say("ldquo;Irish. Why?&rdquo;[br]You've never seen pupils contract so quickly.  &ldquo;Don't think I don't know about you.&rdquo; His hand darts behind a stack of books, and re-emerges with terrible speed and a Navy revolver. You dash for the door, but he has three shots off before you reach it.[heading]You have died[br]");
}
}),

safename: new undum.Situation({
 enter: function(character, system, from) {
system.say("Your answer seems to satisfy him; a little of the tension goes out of the air. But only a little. &ldquo;Yes, yes, of course, they would never come for me so directly. My second question to you, Makane, is this: what is meant by the term 'furry' in your disgusting little excretion?&rdquo;[br]&ldquo;Er... a little hard to explain. No Disney yet, right? Well, you know the cartoons in -Punch- that have politicians with animal heads and so on?  It's a bit like that. Only with more costumes, and people get off on it, and there's this thing called -yiffing- where...&rdquo; You elaborate for several more paragraphs, watching his face grow steadily more ashen.[br]Then, abruptly, his eyes bulge to their widest point yet. &ldquo;But... but my own contributions to the Bibliocyclopaedia! In my innocence, I composed a piece... a trifling thing, a bagatelle... in which one takes on the persona of a <em>cat</em>! Are even cats, sir, sweet little pussies, the subjects of... no, do not tell me. I know. I have unwittingly fueled the self-pollution of countless souls.&rdquo;[br]&ldquo;Look, people will wank to just about anything... it's not really as if...&rdquo;[br]&ldquo;I never allow my judgment to be swayed, sir. No, I am a pornographer, abhorrent in the sight of God. Leave me, man. Leave me before the taint contaminates you.&rdquo;[br]_You don't feel like disputing the point._ [leaveminor]");
}
}),

bibliography: new undum.Situation({
 enter: function(character, system, from) {
 system.say("Cocking your head to one side in an attentive fashion, you tune out his prattle and focus instead on the spines of the books he has yet to process, which include:[br]Buggered by Wombats, a six-volume treatise,[br]Lovecraft his Skid-marks,[br]The Nunnery Radish,[br]The Communal Passing of Bladder-stones,[br]Short Work of Long Tools,[br]Outsource your Bullshit,[br]Arse-nuggets of the Singularitarians,[br]Farmville-Slave Soccer Moms VI,[br]Outreacharound and Banana-Pass,[br]Twelve Caesars! a Comic Opera,[br]The Comet and the Knobgoblin: Metatextual Anxiety, Fictional Ethics and the Triangle of Identities,[br]The Flick-shiller's Vomitus,[br]Anna Anthropy: The Collected Wanks,[br]The Indignation of the Andouillettes,[br]Jesus his Concern-Trolling,[br]The Incoherence of the Incoherence,[br]Procedural Pin-dancings: An Oulipan Rhapsody,[br]69,105 Zorkians Nostalge upon a Neck-Pustule,[br]Deadly Climax II: Neonate AIDS Cure,[br]Hamlet on the Holodeck, Notch on the Bedpost: E-Penis Megaproject As Emergent Narrative,[br]The One-Handed Critic,[br]Hammer of the Dickwolves,[br]The Median Voter's Piss-thin Gruel,[br]The Scrote-Sweat-Scented Clubroom,[br]The Joyes of Wind-pissing,[br]On Peperony and Chease,[br]The Manual of Incessant Belly-Aikin,[br]The Virgin and the Betatester,[br]Carnival of the Cockblossoms,[br]Echo-Chamber Tribadism for the Discerning Gentleman,[br]The Well-polished Coprolith,[br]Red Queen Misogyny,[br]A Chorus of Gerbils,[br]The Forbearance of the Vultures,[br]The Cult of Niceness,[br]The Princess and the P-Zombie: Mary-Sue in Lawnmower Land,[br]The Drifter's Droop,[br]The Pope's Danglies,[br]The Comforts of Outrage,[br]The Codpiece of Natural Language,[br]The Chandler's Cock-dribble,[br]The Cavity of Plot,[br]The Indie Ghetto,[br]The Magical Dunghill,[br]The Parted Rump of the Content-providers,[br]Shall These Dry Bones Live: Parousia and the Elision of the Refractory Period,[br]Ourobouros Fellatio and the Offence Addict,[br]Confessions of a Sichuanese Smut-Tracer,[br]-Ars honeste petandi in societate-,[br]Pixeldicks,[br]The Belatedness of the Theorists,[br]One Thousand Testicular Adjectives,[br]The Sublime Onanism of Lists.[br]Some of them even have plates. You consider snagging a few of the really good ones, but he'd be sure to notice. Meanwhile, he's still going on about something or other. It doesn't appear to have grown any more enlightening.[list]\
 * &ldquo;I don't think I've ever encountered a scenario that's less likely to get me laid. Bye now.&rdquo; [bibleave]\
 * &ldquo;Dreadful, dreadful. What sad times.&rdquo; [minorcontinue]");
 }
 }),
 
 bibleave: new undum.Situation({
 enter: function(character, system, from) {
 system.say("&ldquo;I don't think I've ever encountered a scenario that's less likely to get me laid. Bye now.&rdquo;[br]_You march smartly out of the cell_[leaveminor], while he rages at your back. As you head back downstairs, you can still hear his howls dimly echoing through the halls; but apparently the other cells are soundproofed, because he draws no response.");
 }
 }),
 
   leaveminor:new undum.Situation({
   enter: function(character, system, from) {
   system.say("The corridors and stairwells wax twisty. By know you're pretty much used to the signs, and _as the hallways turn to cave-tunnels_ [node2] you just relax and enjoy it.");
   }
  }),
  
  
  
node2: new undum.Situation({
enter: function(character, system, from) {
 system.setCharacterText("<p>You feel that the end is in sight.</p>");
 system.say("You clamber through what seems like miles of indistinguishable tunnels, hoping that you're not circling back on yourself. At last you come to a place that you certainly haven't seen before: a high-vaulted cavern with three exits at its further end. Which do you choose?[list]\
 * A tunnel of rough yellow masonry.[quixote]\
 * A dimly lit passageway, adorned with trash and pipework.[mit]\
 * An underdescribed tunnel.[littleoldman]");
 }
 }),
 
quixote: new undum.Situation({
   enter: function(character, system, from) {
   system.say("You come to a staircase. Valseuses (tall, dashing, ruggedly handsome) is sitting on the lowest step. &ldquo;Stiffy! You must come at once. It is terrible, terrible!&rdquo;[br]He takes the stairs three at a time, with you huffing along behind. The staircase leads to a basement filled with pounding machinery; reams of paper are being sucked into the presses, other sheets are being spat out all hammmered with ink. At the machine's heart is a small typewriter, its keys chattering away as if worked by the hands of a ghost.[br]&ldquo;So what, V? A press?&rdquo;[br]&ldquo;No, Macan, you see, it is...&rdquo; He holds up a sheet, turning it so that you can see the title-page: *The Complete Erotic Adventures of Stiffy Makane*.[br]&ldquo;All the better. Pays to advertise, if nothing else.&rdquo;[br]&ldquo;You do not understand! A thousand of these are printed an hour, I have sat here for days picking out samples... Stiffy, they are all -true-. And -every copy is the same-.&rdquo;[list]\
* Smash the presses. [smashpresses]\
* Let the presses be. [leavepresses]\
* This is looking like one of those ethical-choice endings. I don't do those. [noethics]");
}
}),

leavepresses: new undum.Situation({
   enter: function(character, system, from) {
   system.say("&ldquo;Let them be,&rdquo; you sigh, at last. &rdquo;[br]&ldquo;Perhaps you have realised that even the truth is a part of your story?&rdquo; Valseuses inquires.[br]&ldquo;Not as such, no.&rdquo;[br]&ldquo;Then maybe you have heeded some secret mandate of your soul?&rdquo;[br]&ldquo;Well, I -always- do that. It's not a -reason- for anything.&rdquo;[br]&ldquo;Then perhaps because there is no book so bad but it has something good in it,&rdquo; muses Valseuses.[br]&ldquo;Oh, did you find anything?&rdquo;[br]&ldquo;Well, not as such, but I skimmed...&rdquo;[br]&ldquo;That is the reason. Being the perfect truth, nobody will ever have reason to do more.&rdquo;[heading]The End[br]");
}
}),


smashpresses: new undum.Situation({
   enter: function(character, system, from) {
   system.say("&ldquo;Smash them. Scatter the type. Burn the place on the way out.&rdquo;[br]&ldquo;But Stiffy, it is... it seemed a sacrilege. Everything of you, the truth entire, even if...&rdquo;[br]&ldquo;There is no human being on earth who should be capable of declaring who he is. If we knew what what we had come into this earth to do... let it burn, Valseuses. A shameful memory.&rdquo;[heading]The End[br]");
}
}),


noethics: new undum.Situation({
   enter: function(character, system, from) {
   system.say("&ldquo;This is looking like one of those ethical-choice endings, Valseuses. I am peturbed.&rdquo;[br]&ldquo;Quelle horreur! But what can be done? Either we smash the press,&rdquo; he holds out one elegant, callused hand, &ldquo;or we do not. We cannot half-obliterate.&rdquo;[br]&ldquo;I think I have a remedy. You and I step out of here, taking careful note of the address. We go out and partake of the good wines of Barcelona. Perhaps we commit unnatural acts in a back alley. At the point where we are too drunk and buggered for the choice to represent any meaningful agency whatsoever, we decide.&rdquo;[br]His noble brow furrows. &ldquo;But still the choice will have to be made. However staggering we may be, however long it is put off...&rdquo;[br]&ldquo;My friend, I have a remedy for that also:&rdquo;[heading]The End[br]");
}
}),

 
mit: new undum.Situation({
enter: function(character, system, from) {
system.say("After many indecipherable twistings, you find a stairwell, ascend, and pass outside through a plate-glass door.[heading]Hip Curves[br]Your privates are humming as you view the centre of the court.[br]A broad, open area, surrounded by institutional buildings.[br]Something seemed to be a little unusual, however.[br]Shortly before, a flaneur propositioned a trash collector.[br]I will deflower you, apparently.[br]The punk caressed a sculpture.[br]It appears that the punk will have been, like, doing something terrible to the flaneur with, like, a saucepan?[br]That was just after the erotic adventurer entered the court.[br]Someone inserted something into someone.[br]The erotic adventurer ogles the punk.[br]A girl who clearly is participating in the punk subculture. Among others.[br]The digital humanities professor is entering the court.[br]You turn around. Your friend has arrived.[br]Makane noticed that the professor carried a strange device.[list]\
* &ldquo;What on earth is going on here?&rdquo; [curvecontinue]\
* Grab the device and skedaddle. [fleenick]"); 
}
}),

curvecontinue: new undum.Situation({
enter: function(character, system, from) {
system.say("The professor affirmed an opinion about the strange device, or so it seemed.[br]You will listen attentively.[br]A beverage is given to Makane by the professor.[br]The professor mentioned several different categories of researcher to whom the device would be keenly relevant.[br]An erotic adventurer had nodded uncertainly.[br]The professor explains an allusive pun.[br]That was just after an allusive pun was made by the professor.[br]The professor notices something about the device-shaped object.[br]That was immediately before a glass was refreshed.[br]The professor will be making a comment about focus.[br]A dial is being turned.[br]&ldquo;Sorry about that,&rdquo; he says. &ldquo;What I was trying to say is that the tense shifts you are experiencing are the results of a local fluctuation in the field exerted by Hip Curves, my most diabolical erotic creation. Can I interest you in a mojito, by the way? There you go.&rdquo;[list]\
* &ldquo;Is that thing the curvey whatnot?&rdquo; [curvethree]\
* &ldquo;Fascinating. Please never turn it on again.&rdquo; [anticurve]\
* Grab the device and run for it. [fleenick]");
}
}),

curvethree: new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;Is that thing the curvey whatnot?&rdquo;[br]&ldquo;Not at all: merely an accessible front-end,&rdquo; he replies, giving an infinitesimal twiddle one of the several thousand knobs and dials that encrust the surface of the thing, which is about three inches across. &ldquo;Most of the real machinery is buried deep under your feet, powered by my infernal desire machines... the entire Cavity of Time is merely a special application of its generalised ability to flexibly model the temporal framing of narrative discourse.&rdquo;[list]\
* &ldquo;Infernal desire machines, eh? Need any volunteers to power the things?&rdquo; [desiremachines]\
* You're really attached to second-person present indicative. You leave. [anticurve]\
* &ldquo;So you mean that with the curve thing I could control the Cavity of Time?&rdquo; [curvecavity]");
}
}),
 

desiremachines:new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;Infernal desire machines, eh? Need any volunteers to power the things?&rdquo;[br]&ldquo;Sadly not. We're booked up six months in advance.&rdquo;[list]\
* &ldquo;I can tell when I'm not wanted. I'll be heading back to the Cavity now.&rdquo; [anticurve]\
* &ldquo;So you mean that with the curve thing I could control the Cavity of Time?&rdquo; [curvecavity]");
}
}),

curvecavity: new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;So you mean that with the curve thing I could control the Cavity of Time?&rdquo;[br]&ldquo;In theory, yes, that's one interesting application. And the intention has always been that the system would be of use to researchers in other fields. I warn you, however, that at this time it's intended primarily for advanced users. Does that describe you, Mr...?&rdquo;[br]&ldquo;I have very broad practical experience in narratological variation, if you know what I mean.&rdquo;[br]&ldquo;Excellent.&rdquo; He tosses the device to you.[list]\
* &ldquo;Um... so how does it work?&rdquo; [riddley]\
* Set it to... transgender Viennese-milkmaid buttplug-powered superheroines! In bondage! [kinkgrammar]\
* Let's not fuck around. First-person present imperative, high verbosity, heavy focus on the sex scenes. [curvegod]");
}
}),

riddley: new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;Um... so how does it work?&rdquo;[br]His grin is like the very devil. &ldquo;Something of a puzzle, isn't it? A real classic, all those levers and dials. Classically I should tear up my design notes and hide them in inaccessible corners of the campus, but since I'm -here- that would be ridiculous... I know!&rdquo; he gleams. &ldquo;We can provide an appropriate level of pacing and challenge with a riddle contest. I'll go first.[br]-Une bien jeune et toute blondelette[br]Conceut un fils Etyopien sans pere;[br]Puis l'enfanta sans doleur la tendrette,..-.&rdquo;[heading]You're trapped. But at least there's Scotch.[br]");
}
}),

kinkgrammar: new undum.Situation({
enter: function(character, system, from) {
system.say("You look around for the appropriate dials, but they're all to do with, like, English-class stuff. &ldquo;Hey, this thing's broken,&rdquo; you kvetch. &ldquo;How do I get a mind-controlled pegasus-centaur with a biker moustache?&rdquo;[br]&ldquo;Stiffy, it handles variations in -style-, not in kink. You're thinking of the 2.0 release.&rdquo;[br]&ldquo;And when's that coming out?&rdquo;[br]He looks nonplussed for a moment, then a sly grin steals over his face. &ldquo;Feel free.&rdquo;[br]&ldquo;Maybe I will! Maybe I'll do just that and make a billion smackers!&rdquo; You stomp off to start writing code, and are not heard of for the next decade.[heading]The End[br]");
}
}),


curvegod: new undum.Situation({
enter: function(character, system, from) {
system.say("You start thumbing the dials towards... wait, there's more you can do here than you realised. Why, if you just turned -this- bit over here, you could...[br] A look of calculation, then horror sweeps his face. &ldquo;No! Stiffy! I never meant... you can't do this! Hubris aside, you're the -last- person who should become a god: you're egotistical, schizophrenic, totally obsessed with penises...&rdquo;[heading]Too late, Montfort.[br]&ldquo;You don't understand how Hip Curves -works-, Stiffy! You have no idea what damage you could cause!&rdquo;[heading]I read the tutorial.[br]&ldquo;No you... look, just bring things back to good old present tense second-person limited, you can be the hero and we can pretend this never happened.&rdquo;[heading]This world is insufficient. I will start again.[br]His eyes harden. &ldquo;Don't think you'll get away with this, Makane. I built this thing. I know how it works. I can still use a lot of it directly. Whatever you do I'll come after you, I'll stop your sick little game and put everything back together.&rdquo;[heading]Very well, Nick. Everyone needs an adversary.[br]");
}
}),

anticurve: new undum.Situation({
enter: function(character, system, from) {
system.say("Without looking back, you march off across the court, away from the professor. The professor watches the erotic adventurer leave. Someone enters a tunnel, or so it seemed to him. Nick shrugs, stows the device in a coat pocket, and (stepping lightly over several writhing bodies) goes off to attend the Society for Procedural Metatext's Doppelbock colloquium.[heading]You have fallen out of focus[br]");
}
}),

fleenick: new undum.Situation({
enter: function(character, system, from) {
system.say("You snatch the device from his hands, turn to sprint away with it, and trip over yourself. The control device bounced on concrete. An unsettling crunch will be heard, apparently. The flaneur propositions the punk. A Hip Curves control device bounced off the sculpture. An erotic adventurer watches in horror. That, I surmise, would be just before Andrew Plotkin put on his socks. Somewhat earlier, you were born. An expatriate in Alaska typed. Just then, Makane has a horrific realisation. Joan of Arc will have been going to be victorious at Orleans. Jormungand stirs. Some dogs are eating your body. You were starting on an arousing journey. Pamela's face is clenching in shock as bullets smack into her torso. Crowther's headlamp will go out. Professor, explain the joke. The universe is. The universe is. Just after that, the universe was.[heading]You chose... poorly.[br]");
}
}),

littleoldman: new undum.Situation({
enter: function(character, system, from) {
system.say("You select one of many tunnels and follow it, but the passageway does not rise. Instead, it opens onto a chamber in which a beard sits enthroned. Within the beard is a wizened old man, who nods politely as you enter.[br]&ldquo;I suppose you want me to tell you how to get home.&rdquo;[br]&ldquo;Not really. I'm really more of a picaresque, you know? It'd be better if you could help me understand how these caves work.&rdquo;[br]The old man leers at you. &ldquo;I might be able to manage that. But tell me, first: why do you want control over time?&rdquo;[list]\
* &ldquo;The same reason that I signed up for the -Turgidity-: to explore new worlds and bang everyone.&rdquo; [bangeveryone]\
* &ldquo;To avoid becoming trapped in unwinnable situations.&rdquo; [unwinnable]\
* &ldquo;I just want to get to the most awesome time ever.&rdquo; [dinosaurs]\
* &ldquo;Look, how about I give you a blowjob, we skip over the gatekeeper's-riddle bit and you just tell me the right answer?&rdquo; [blowjobending]");
}
}),

bangeveryone:  new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;The same reason that I signed up for the -Turgidity-: to explore new worlds and bang everyone.&rdquo;[br]The little old beard cocks his head sideways like a demented owl. &ldquo;All say that they seek the best ending,&rdquo; he muses, while you long for a rock to lob at him, &ldquo;yet what does it bring us but finality, and oblivion?&rdquo;[br]&ldquo;Yeah, tell me about it. I wanted the full-blown razmatazz with full body part implementation and four-part harmony, but the author keeps eliding all the sex-scenes like a total priss.&rdquo;[br]&ldquo;Then you, Stiffy, have already won. For where you go they cannot follow, and -that- is the true Undiscovered Country.&rdquo;[heading]The End[br]");
}
}),

unwinnable:  new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;To avoid becoming trapped in unwinnable situations.&rdquo;[br]&ldquo;Then you have already won,&rdquo; intones the old beard, &ldquo;for the only unwinnable state is when one is unwilling to begin anew.&rdquo;[br]&ldquo;Christ, if you're going to be like that, just point me towards the next place where I can get a quick lay, OK?&rdquo;[br]&ldquo;QED,&rdquo; says the old man. And he shows you the way.[heading]The End[br]");
}
}),
 
blowjobending: new undum.Situation({
enter: function(character, system, from) {
system.setQuality("score", character.qualities.score+1);
system.say("&ldquo;Look, how about I give you a blowjob, we skip over the gatekeeper's-riddle bit and you just tell me the right answer?&rdquo;[br]&ldquo;As you will,&rdquo; says the sage, sticking his helmet out through the middle of his beard. &ldquo;*Whoa* hey, did anybody ever tell you that you're really damn good at that?&rdquo;[br]He strings it out for rather longer than necessary, but what the hell, he probably doesn't get too many visitors. At length you swallow. &ldquo;Very well, then. Here, (whew!) here's the map,&rdquo; he says, gesturing up and behind you. &ldquo;No, you have to move over here to see it properly; let me just move out of your way...&rdquo;[br]At which point, you find yourself seated in his throne, while he skips away down a tunnel, cackling. Oh dear.[br]With any luck, someone stupider will happen along eventually. Until then:[heading]The End[br]");
}
}),


dinosaurs: new undum.Situation({
enter: function(character, system, from) {
system.say("&ldquo;I just want to get to the most awesome time ever.&rdquo;[br]&ldquo;Awesomeness is a subjective value, my friend,&rdquo; muses the old man, growing more insufferable by the second. I mean, -duh-. &ldquo;But since you insist, I will approximate an answer by sending you to the time that received the highest mean approval ratings from the core adventure-liking demographic.&rdquo;[br]&ldquo;No, no, wait...&rdquo; you cry, but you are cut off as the caves shift their form around you, with a deep, irrevocable rumble.[heading]The Land Before Making Time[br]You emerge from a crack in the side of a high mountain. Thick black smoke billows from the peak, and lava is pouring steadily down the slope towards you. Another rumble shakes the ground. You decide to get far away as quickly as possible.[br]As you hurry downslope through a forest of ginkgo and pine, you are suddenly confronted with a herd of friendly apatosaurs! *DINOSAURS!* Totally frackin' -awesome!-[br]Approximately thirty seconds later, your enthusiasm cools somewhat as you realise that a) the way back into the Cavity of Time is now permanently sealed, and b) no body part more enticing than a cloaca is going to evolve for several million years.[heading]The End[br]");
}
}),
 
  haremending: new undum.SimpleSituation(
    	"<p>Somehow, find yourself in a future utopia in which every physical inconvenience\
 is overcome by technology and humans exist in a harmonious state of free love,\
 perfect health and unlimited bandwidth. You suspect that the authorial\
 intention was to bemoan the tedium of decadence and suggest that mankind needs\
 adversity to truly appreciate life's rich tapestry; however, the author's\
 opinion has the parochial disadvantage of not being expressed from within a squirming\
 heap of eager and nubile bodies, and you feel that your perspective is more\
 than equal to his. *** YOU HAVE WON. ***</p>"
   	),
};

// ---------------------------------------------------------------------------
/* The Id of the starting situation. */
undum.game.start = "start";

// ---------------------------------------------------------------------------
/* Here we define all the qualities that our characters could
 * possess. We don't have to be exhaustive, but if we miss one out then
 * that quality will never show up in the character bar in the UI. */
undum.game.qualities = {
    score: new undum.NumericQuality(
        "Score", {priority:"0003", group:'stats'}
    ),
 rum: new undum.NonZeroIntegerQuality(
        "Rum", {priority:"0001", group:'stats'}
        ),
        
         thelash: new undum.NonZeroIntegerQuality(
	        "The Lash", {priority:"0002", group:'stats'}
        ),
    novice: new undum.OnOffQuality(
        "Captain", {priority:"0002", group:'progress', onDisplay:"&#10003;"}
    ),
    porcus: new undum.OnOffQuality(
            "Boar", {priority:"0002", group:'progress', onDisplay:"&#10003;"}
    ),
};

// ---------------------------------------------------------------------------
/* The qualities are displayed in groups in the character bar. This
 * determines the groups, their heading (which can be null for no
 * heading) and ordering. QualityDefinitions without a group appear at
 * the end. It is an error to have a quality definition belong to a
 * non-existent group. */
undum.game.qualityGroups = {
    stats: new undum.QualityGroup(null, {priority:"0001"}),
    progress: new undum.QualityGroup('Progress', {priority:"0002"})
};

// ---------------------------------------------------------------------------
/* This function gets run before the game begins. It is normally used
 * to configure the character at the start of play. */
undum.game.init = function(character, system) {
    character.qualities.score = 0;
    character.qualities.novice = 1;
    character.qualities.porcus = 0;
    character.qualities.rum = 0;
    character.qualities.thelash = 0;    
};
